<script>
  //updated
  import { browser } from "$app/env";
  import Title from "$lib/ui/Title.svelte";
  import Card from "$lib/ui/Card.svelte";

  // Communicates the page's height when embedded as an iframe!
  let clientHeight = 0;
  $: if (browser && clientHeight > 0) {
    window.top.postMessage({ height: clientHeight + 2 }, "*");
  }
</script>

<Title />
<Card margin_y="0" bind:clientHeight>
  <slot />
</Card>
